import QtQuick 2.0
import Sailfish.Silica 1.0
Page {
    Flickable {
        id: flick
        width:parent.width
        height: parent.height - Theme.paddingLarge * 3
        anchors.top: parent.top
        anchors.topMargin: Theme.paddingLarge * 3
        contentHeight: column1.height



        Column {
            id: column1
            width: parent.width
            spacing: Theme.paddingLarge
            Row {
                //width: parent.width
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: Theme.paddingLarge * 2
                Image{
                    source: "../harbour-labyrinth.png"
                    height: Theme.itemSizeExtraLarge
                    width: height
                    fillMode: Image.PreserveAspectFit
                    //anchors.horizontalCenter: parent.horizontalCenter
                }
                Column{
                    id: column2
                    anchors.verticalCenter: parent.verticalCenter
                    //width: parent.width
                    //spacing: Theme.paddingLarge

                    Label {
                        font.pixelSize: Theme.fontSizeExtraLarge
                        font.bold: true
                        text: "Labyrinth v"+ Qt.application.version
                        //anchors.horizontalCenter: parent.horizontalCenter

                    }

                    Label {
                        text: "(License: WTFPL)"
                        font.pixelSize: Theme.fontSizeSmall
                        anchors.horizontalCenter: parent.horizontalCenter
                    }
                }
            }

            Separator {
                width: parent.width
                anchors.margins: Theme.paddingSmall
                anchors.horizontalCenter: parent.horizontalCenter
                //height: Theme.itemSizeSmall
            }

                Text {
                    width: parent.width-(Theme.paddingLarge * 2)
                    font.pixelSize: Theme.fontSizeExtraSmall
                    text:"<p>DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE</p>
                    <p>Version 2, December 2004</p>
                    <p>Copyright (C) 2004 Sam Hocevar <sam@hocevar.net></p>
                    <p>Everyone is permitted to copy and distribute verbatim or modified
                    copies of this license document, and changing it is allowed as long
                    as the name is changed.</p>
                    <p>DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</p>
                    <p>0. You just DO WHAT THE FUCK YOU WANT TO.</p>"
                    color: Theme.primaryColor
                    anchors.horizontalCenter: parent.horizontalCenter
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignHCenter
                    wrapMode: Text.WordWrap
                }

            Separator {
                width: parent.width
                anchors.margins: Theme.paddingSmall
                anchors.horizontalCenter: parent.horizontalCenter
                //height: Theme.itemSizeSmall
            }
        }
    }
}
