import QtQuick 2.0
import Sailfish.Silica 1.0
import QtQuick.LocalStorage 2.0

import "JSONListModel"
import "pages"
import "js/favorites.js" as FavDb

ApplicationWindow {
    id: window


    ListModel{id: favorites}

    function updateFav(showid, name, image, summary, status, prem, rating, network, updated, imdb, official) {
        FavDb.update(showid, name, image, summary, status, prem, rating, network, updated, imdb, official)
    }

    // DETTA SKA GÖRAS BÅDE VID UPPDATERING OCH LÄGGA TILL!!!
    function updateNext(showid, next, nextse) {
        FavDb.updateNext(showid, next, nextse)
    }

    function updatePrev(showid, previous) {
        FavDb.updatePrev(showid, previous)
    }
    // ------------------------------------------------------

    function dropFav() {
        FavDb.drop()
        FavDb.initialize()
        FavDb.load(favorites)
    }

    function getFav(showid) {
        return FavDb.getFav(showid)
    }

    function reloadFav() {
        FavDb.load(favorites)
    }

    function addFav(showid, name, image, summary, status, prem, rating, network, updated, previous, next, nextse, imdb, official) {
        FavDb.add(showid, name, image, summary, status, prem, rating, network, updated, previous, next, nextse,imdb,official)
    }

    function delFav(showid) {
        FavDb.del(showid)
    }

    Component.onCompleted: {
        FavDb.initialize()
        FavDb.load(favorites)
    }

    initialPage: Component { Favorites { } }
    cover: Qt.resolvedUrl("cover/CoverPage.qml")
    allowedOrientations: defaultAllowedOrientations//| Orientation.Landscape

}


